1.409,08 €
See the offer
D-Link · Network Switch
D-Link 12-Port L2 Managed Switch Switch with price in Italy
Model DIS‑300G‑12SWMPN DIS-300G-12SWEAN 790069437915
- Weight1.09 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity8
Lowest price incl. delivery
1046,35 €
at EsseeffeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 23 Oct 2026, 17:42 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in Italy
1 store · prices in EUR · updated 23 Oct 2026, 17:42 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 23 Oct 2026, 17:42 UTC
- EsseeffeLowest priceD-link dis300g12sw gestito l2 gigabit ethernet (10/100/1000) nero In stockFree shipping1046,35 €incl. free shippingGo to store : Esseeffe (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in Italy
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- 12-Port L2 Managed Switch Switch with
- Full name
- D-Link 12-Port L2 Managed Switch Switch with 8 x 10/100/1000BaseT(X) & 4 x 100/1000BaseSFP
- Manufacturer part number
- DIS-300G-12SW
- EAN / UPC
- 790069437915
- Category
- Network Switch
75 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| Traffic shaping | Yes |
| System event log | Yes |
| MIB support | RFC 1757 RMON 1,2,3,9; RFC 2674 Q MIB RFC‑1213 MIB‑II; RFC‑1493 MIB; RFC 2233 IF MIB |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 4 |
| Fiber optic connector | LC |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1ab, IEEE 802.1ad, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3ad, IEEE 802.3x |
|---|---|
| 10G support | No |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Tagged VLAN, Protocol-based VLAN, Port-based VLAN |
| Number of VLANs | 1024 |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
Security
| DHCP features | DHCP server, DHCP snooping, DHCP relay, DHCP client |
|---|---|
| Authentication type | IEEE 802.1x, RADIUS |
| Queue scheduling algorithms | Weighted Round Robin (WRR) |
| Security algorithms | HTTPS, SNMP, SNMPv3, SSH |
Multicast features
| Multicast support | Yes |
|---|
Design
| Rack mounting | No |
|---|---|
| Product colour | Black |
| LED indicators | LAN, Status |
| DIN rail mounting | Yes |
| International Protection (IP) code | IP30 |
| Wall mountable | Yes |
| Electromagnetic compatibility | FCC 15, EN 61000‑6‑2, EN 61000‑6‑4, EN 61000‑4‑2, ‑3, ‑4, ‑5, ‑6 |
Performance
| Firmware upgradeable | Yes |
|---|
Power
| DC input voltage | 12 - 58 V |
|---|---|
| Power consumption (max) | 17 W |
| Power protection features | Over current, Reverse polarity |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | -40 - 75 °C |
|---|---|
| Storage temperature (T-T) | -40 - 85 °C |
| Operating relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Width | 61 mm |
|---|---|
| Depth | 154 mm |
| Height | 109 mm |
| Weight | 1.09 kg |
Packaging data
| Package width | 195 mm |
|---|---|
| Package depth | 242 mm |
| Package height | 118 mm |
| Package weight | 1.53 kg |
Technical details
| Master (outer) cases per pallet (air) | 20 pc(s) |
|---|---|
| Master (outer) cases per pallet (sea) | 28 pc(s) |
| Pallet gross length | 120 cm |
| Pallet gross weight (air) | 346.7 kg |
| Pallet gross weight (sea) | 478.6 kg |
| Pallet gross width | 110 cm |
| Pallet height (air) | 148.5 cm |
| Pallet height (sea) | 2.02 m |
| Products per pallet (air) | 200 pc(s) |
| Products per pallet (sea) | 280 pc(s) |
| Products per shipping (inner) case | 10 pc(s) |
| Shipping (inner) case gross weight | 16.5 kg |
| Shipping (inner) case height | 27 cm |
| Shipping (inner) case length | 60 cm |
| Shipping (inner) case net weight | 15.3 kg |
| Shipping (inner) case width | 41 cm |
Certificates
| Certification | IEC60068‑2‑6, IEC60068‑2‑27, IEC60068‑2‑32, UL 60950‑1, CE, FCC, RoHS, WEEE |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
What people say
Reviews & ratings
D-Link 12-Port L2 Managed Switch Switch with
No reviews yet
Be the first to tell others how D-Link 12-Port L2 Managed Switch Switch with works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
More network switches deals in Italy
All network switches deals866,64 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed PoE+ Switch with 2 SFP, GS1016EPS2 1.0
- Weight
- 2.75 kg
- Colour
- Black
- Switch type
- Managed
200,68 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed Switch with 2 SFP, GS1016ES2 1.0
- Weight
- 1.69 kg
- Colour
- Black
- Switch type
- Managed
90,79 €
See the offer65,99 €
See the offerTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
118,93 €
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
253,14 €
See the offerNETGEAR
GS310TPv2 Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop Black
Model GS310TPv2
- Memory
- 128 MB
- Type
- Desktop
- Weight
- 610 g
159,33 €– 179,99 €
Compare 2 prices






